DrawingAttributes.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class DrawingAttributes.Builder

    java.lang.Object
      com.bbn.openmap.omGraphics.DrawingAttributes.Builder

Enclosing class:
  DrawingAttributes

    public static class DrawingAttributes.Builder

extends java.lang.Object

Builders are usually for immutable objects, but it seems kinda handy to have one for this class, to eliminate lines of code.

Author:
  ddietrick

Constructor Summary
`DrawingAttributes.Builder()`

Method Summary
`DrawingAttributes` | `build()`
`DrawingAttributes.Builder` | `setFillPaint(java.awt.Paint fPaint)`
`DrawingAttributes.Builder` | `setFillPattern(java.awt.TexturePaint tPaint)`
`DrawingAttributes.Builder` | `setFrom(DrawingAttributes anotherDa)`
`DrawingAttributes.Builder` | `setFrom(OMGraphic omg)`
`DrawingAttributes.Builder` | `setLinePaint(java.awt.Paint lPaint)`
`DrawingAttributes.Builder` | `setLineWidth(int lineWidth)`
`DrawingAttributes.Builder` | `setMatted(boolean matted)`
`DrawingAttributes.Builder` | `setMattingPaint(java.awt.Paint mPaint)`
`DrawingAttributes.Builder` | `setOrientation(int orientation)`
`DrawingAttributes.Builder` | `setPointOval(boolean oval)`
`DrawingAttributes.Builder` | `setPointRadius(int radius)`
`DrawingAttributes.Builder` | `setSelectPaint(java.awt.Paint sPaint)`
`DrawingAttributes.Builder` | `setStroke(java.awt.Stroke s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawingAttributes.Builder

    public DrawingAttributes.Builder()

Method Detail

### setLinePaint

    public DrawingAttributes.Builder setLinePaint(java.awt.Paint lPaint)

### setFillPaint

    public DrawingAttributes.Builder setFillPaint(java.awt.Paint fPaint)

### setSelectPaint

    public DrawingAttributes.Builder setSelectPaint(java.awt.Paint sPaint)

### setStroke

    public DrawingAttributes.Builder setStroke(java.awt.Stroke s)

### setLineWidth

    public DrawingAttributes.Builder setLineWidth(int lineWidth)

### setFillPattern

    public DrawingAttributes.Builder setFillPattern(java.awt.TexturePaint tPaint)

### setMattingPaint

    public DrawingAttributes.Builder setMattingPaint(java.awt.Paint mPaint)

### setMatted

    public DrawingAttributes.Builder setMatted(boolean matted)

### setPointOval

    public DrawingAttributes.Builder setPointOval(boolean oval)

### setPointRadius

    public DrawingAttributes.Builder setPointRadius(int radius)

### setOrientation

    public DrawingAttributes.Builder setOrientation(int orientation)

### setFrom

    public DrawingAttributes.Builder setFrom(DrawingAttributes anotherDa)

### setFrom

    public DrawingAttributes.Builder setFrom(OMGraphic omg)

### build

    public DrawingAttributes build()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details